<template>
  <div>
    <div>
      <button class="action-btn" @click.prevent.stop="$refs.menu.open($event)">
        click
      </button>
    </div>

    <vue-context ref="menu" class="action-menu">
      <li>
        <a :href="`/employees/view/${employee}`" @click.prevent="onView"
          >View</a
        >
      </li>
      <li>
        <a :href="`/employees/edit/${employee}`" @click.prevent="onEdit"
          >Edit</a
        >
      </li>
      <li>
        <a v-if="activeTab === 'Active'" href="#" @click.prevent="onDeactivate">
          Deactivate
        </a>
        <a
          v-else-if="activeTab === 'Archived'"
          href="#"
          @click.prevent="onActivate"
        >
          Activate
        </a>
      </li>
    </vue-context>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import { VueContext } from 'vue-context'
import '../../../node_modules/vue-context/dist/css/vue-context.css'

export default Vue.extend({
  name: 'ActionButtons',
  components: { VueContext },
  props: {
    employee: { type: String, default: '' },
    activeTab: { type: String, default: '' }
  },
  methods: {
    onView() {
      this.$emit('viewEmployee', 'employees-view-id', this.employee)
    },
    onEdit() {
      this.$emit('editEmployee', 'employees-edit-id', this.employee)
    },
    onDeactivate() {
      this.$emit('deactivateEmployee', this.employee)
    },
    onActivate() {
      this.$emit('activateEmployee', this.employee)
    }
  }
})
</script>

<style>
.action-btn,
.action-btn:focus {
  display: block;
  padding: 11px;
  border-radius: 100px;
  width: 40px;
  height: 40px;
  border-style: none;
  text-align: center;
  outline: none;
}

.action-btn:hover {
  background-color: #13bc74;
  color: #fff;
}

.action-menu {
  background-color: #fff;
  box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.14);
  border-radius: 4px;
  min-width: 130px;
}

.action-menu li a {
  color: rgb(79, 79, 79);
  font-size: 15px;
}

.action-menu li:hover a {
  color: #13bc74;
  background-color: #fff;
}
</style>
